The comonad-transformers package

[Tags:bsd3, deprecated, library]
Deprecated. in favor of comonad

This package has been merged into comonad 4.0


[Skip to Readme]

Properties

Versions 0.1.0, 0.1.1, 0.2.0, 0.2.1, 0.3, 0.4, 0.4.1, 0.5.0, 0.6.0, 0.6.1, 0.6.2, 0.6.5, 0.7.0, 0.9.0, 0.10.0, 0.10.1, 0.10.1.1, 1.0.0, 1.0.1, 1.1.0, 1.2.0, 1.2.1, 1.3.0, 1.3.0.1, 1.4.0, 1.5.0, 1.5.0.1, 1.5.0.2, 1.5.0.4, 1.5.2, 1.5.2.1, 1.5.2.2, 1.5.2.3, 1.5.2.5, 1.5.2.6, 1.5.3, 1.6.0, 1.6.1, 1.6.2, 1.6.3, 1.7, 1.8.0, 1.8.0.1, 1.8.0.2, 1.8.0.3, 2.0.0, 2.0.2, 2.0.3, 2.1, 2.1.1, 2.1.1.1, 2.1.2, 3.0, 3.0.0.1, 3.0.1, 3.0.2, 3.0.3, 3.0.4, 3.1, 4.0
Dependencies base (==4.*), comonad (>=4) [details]
License BSD3
Copyright Copyright (C) 2008-2013 Edward A. Kmett
Author Edward A. Kmett
Maintainer Edward A. Kmett <ekmett@gmail.com>
Stability provisional
Category Control, Comonads
Home page http://github.com/ekmett/comonad-transformers/
Bug tracker http://github.com/ekmett/comonad-transformers/issues
Source repository head: git clone git://github.com/ekmett/comonad-transformers.git
Uploaded Sun Oct 13 22:04:47 UTC 2013 by EdwardKmett
Distributions Debian:2.1.1.1, LTSHaskell:4.0, NixOS:4.0, Stackage:4.0, Tumbleweed:4.0
Downloads 20917 total (199 in the last 30 days)
Votes
0 []
Status Docs uploaded by user [build log]
Successful builds reported [all 1 reports]

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees

Readme for comonad-transformers

Readme for comonad-transformers-4.0

comonad-transformers

Build Status

This package provides a standard set of comonad transformers for Haskell.

Like the transformers package this package is Haskell 98.

Clases for these types are provided by the comonads-fd package.

Contact Information

Contributions and bug reports are welcome!

Please feel free to contact me through github or on the #haskell IRC channel on irc.freenode.net.

-Edward Kmett